DPGEN_AND2(3)

NAME
DPGEN_AND2 - AND2 Macro-Generator

SYNOPSIS

#include <genlib.h>

void GENLIB_MACRO (DPGEN_AND2, char *modelname, long flags, long N, long drive);

DESCRIPTION

Generate a N bits two inputs AND with an output power of drive named modelname.

Valid drive are : 2 or 4.

  TERMINAL NAMES

1.  i1 : input.

2.  i0 : input.

3.  q : output.

4.  vdd : power.

5.  vss : ground.

  BEHAVIOR
q <= i0 and i1

EXAMPLE

GENLIB_MACRO(DPGEN_AND2, "model_and2_32"
                       , F_BEHAV|F_PLACE
                       , 32
                       , 2
                       );
GENLIB_LOINS( "model_and2_32"
            , "instance1_and2_32"
            , "i1[31:0]"
            , "i0[31:0]"
            ,  "q[31:0]"
            , "vdd", "vss", NULL
            );

SEE ALSO

GENLIB_MACRO(3), genlib(1)